Browse Source

Stop testing python2.7

Train was the last release supporting python2. Let's rip the bandaid
off.

Also includes remove tripleo jobs from os-collect-config master

Partial-Bug: #1879361
Co-Authored-By: xuanyandong <xuanyandong@inspur.com>
Co-Authored-By: Alex Schultz <aschultz@redhat.com>
Change-Id: I46c79ce87f474a986f1983fa9164e6e4cbeaf8de
changes/38/691638/4
Wes Hayutin 1 year ago
committed by Alex Schultz
parent
commit
6dd0e536b9
  1. 6
      releasenotes/notes/drop-python2.7-support-f133b716812d39f0.yaml
  2. 2
      setup.cfg
  3. 6
      tox.ini
  4. 3
      zuul.d/layout.yaml

6
releasenotes/notes/drop-python2.7-support-f133b716812d39f0.yaml

@ -0,0 +1,6 @@
---
upgrade:
- |
Python 2.7 support has been dropped. Last release os-collect-config support
py2.7 is OpenStack Train. The minimum version of Python now
supported by os-collect-config is Python 3.6.

2
setup.cfg

@ -15,8 +15,6 @@ classifier =
License :: OSI Approved :: Apache Software License
Operating System :: OS Independent
Programming Language :: Python
Programming Language :: Python :: 2
Programming Language :: Python :: 2.7
Programming Language :: Python :: 3
Programming Language :: Python :: 3.6
Programming Language :: Python :: 3.7

6
tox.ini

@ -1,9 +1,10 @@
[tox]
minversion = 2.0
skipsdist = True
envlist = py27,py37,pep8
envlist = py37,pep8
[testenv]
basepython = python3
usedevelop = True
install_command = pip install {opts} {packages}
deps =
@ -17,11 +18,9 @@ commands =
sitepackages = True
[testenv:pep8]
basepython = python3
commands = flake8
[testenv:cover]
basepython = python3
setenv =
PYTHON=coverage run --source os_collect_config --parallel-mode
commands =
@ -31,7 +30,6 @@ commands =
coverage xml -o cover/coverage.xml
[testenv:venv]
basepython = python3
commands = {posargs}
[flake8]

3
zuul.d/layout.yaml

@ -2,7 +2,4 @@
templates:
- check-requirements
- openstack-cover-jobs
- openstack-python-jobs
- openstack-python3-ussuri-jobs
- tripleo-multinode-container-minimal

Loading…
Cancel
Save